Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpErlangInt

    java.lang.Object
      |
      +--com.ericsson.otp.erlang.OtpErlangObject
            |
            +--com.ericsson.otp.erlang.OtpErlangLong
                  |
                  +--com.ericsson.otp.erlang.OtpErlangInt

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class OtpErlangInt
extends OtpErlangLong
implements java.io.Serializable, java.lang.Cloneable

Provides a Java representation of Erlang integral types.

See Also:
  Serialized Form

Constructor Summary
`OtpErlangInt(int i)` Create an Erlang integer from the given value.
`OtpErlangInt(OtpInputStream buf)` Create an Erlang integer from a stream containing an integer encoded in Erlang external format.

Methods inherited from class com.ericsson.otp.erlang.OtpErlangLong
`byteValue, charValue, encode, equals, intValue, longValue, shortValue, toString, uIntValue, uShortValue`

Methods inherited from class com.ericsson.otp.erlang.OtpErlangObject
`clone, decode`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OtpErlangInt

    public OtpErlangInt(int i)

  Create an Erlang integer from the given value.
  Parameters:
    `i` - the int value to use.

### OtpErlangInt

    public OtpErlangInt(OtpInputStream buf)
                 throws OtpErlangRangeException,
                        OtpErlangDecodeException

  Create an Erlang integer from a stream containing an integer encoded in Erlang external format.
  Parameters:
    `buf` - the stream containing the encoded value.
  Throws:
    `OtpErlangDecodeException` - if the buffer does not contain a valid external representation of an Erlang integer.
    `OtpErlangRangeException` - if the value is too large to be represented as an int.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD